Overview

Delete field

When the endpoint returns the status code 202, it means that the deletion request is queued. The deletion itself might take several hours to complete. For more information, see Delete fields.

DELETE/v2/datasets/{dataset_id}/fields/{field_id}
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input2
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
dataset_idstring · pathrequired
(path)
field_idstring · pathrequired
(path)
Output1
fieldsstring[]
Responses
202DeleteDatasetFieldsResult
400Bad request
403Forbidden
404Not found
429TooManyDeleteFieldsRequests
Example input
curl -X DELETE 'https://api.axiom.co/v2/datasets/{dataset_id}/fields/{field_id}' \
  -H 'Authorization: Bearer API_TOKEN'
Example output
{
  "fields": [
    "field1",
    "field2"
  ]
}

Updated

Was this page helpful?